[android-components](../../../index.md) / [mozilla.components.feature.addons.ui](../../index.md) / [CustomViewHolder](../index.md) / [AddonViewHolder](./index.md)

# AddonViewHolder

`class AddonViewHolder : `[`CustomViewHolder`](../index.md) [(source)](https://github.com/mozilla-mobile/android-components/blob/master/components/feature/addons/src/main/java/mozilla/components/feature/addons/ui/CustomViewHolder.kt#L38)

A view holder for displaying add-on items.

### Constructors

| Name | Summary |
|---|---|
| [&lt;init&gt;](-init-.md) | `AddonViewHolder(view: <ERROR CLASS>, iconView: <ERROR CLASS>, titleView: <ERROR CLASS>, summaryView: <ERROR CLASS>, ratingView: <ERROR CLASS>, ratingAccessibleView: <ERROR CLASS>, userCountView: <ERROR CLASS>, addButton: <ERROR CLASS>, allowedInPrivateBrowsingLabel: <ERROR CLASS>)`<br>A view holder for displaying add-on items. |

### Properties

| Name | Summary |
|---|---|
| [addButton](add-button.md) | `val addButton: <ERROR CLASS>` |
| [allowedInPrivateBrowsingLabel](allowed-in-private-browsing-label.md) | `val allowedInPrivateBrowsingLabel: <ERROR CLASS>` |
| [iconView](icon-view.md) | `val iconView: <ERROR CLASS>` |
| [ratingAccessibleView](rating-accessible-view.md) | `val ratingAccessibleView: <ERROR CLASS>` |
| [ratingView](rating-view.md) | `val ratingView: <ERROR CLASS>` |
| [summaryView](summary-view.md) | `val summaryView: <ERROR CLASS>` |
| [titleView](title-view.md) | `val titleView: <ERROR CLASS>` |
| [userCountView](user-count-view.md) | `val userCountView: <ERROR CLASS>` |
